Bug Hunting Session
Bug 80130 - VIEWING: Multi-window scroll issues at non-selected window
Summary: VIEWING: Multi-window scroll issues at non-selected window
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-17 10:54 UTC by Matti Aarnio
Modified: 2016-05-09 20:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matti Aarnio 2014-06-17 10:54:53 UTC
Problem description: 
  Sometimes Libreoffice renders messy displays.

Steps to reproduce:
  LibreOffice is having multiple documents open and their
  displays are scattered over my multi-display X-desktop.

  When I scroll an XLS table (longer than fits in display
  window), but have latest window selection at other
  libreoffice window (like Writer's window): scrolling
  (with mouse scroll wheel) over XLS table produces messy
  display of XLS.

  When I select the XLS table, and then scroll over it, there
  are no problems in XLS display output.

  When I select anything else, and then scroll over XLS table,
  there are no problems in XLS display output.

Additional observations:

  Multi-displaying same document in Writer seem to sometimes
  confuse which display is being used.  This happens especially
  when zoom levels are different.
Operating System: Fedora
Version: 4.2.4.2 release
Comment 1 Joel Madero 2015-02-25 23:31:58 UTC
Hi Matti -

Sorry but this  is going into NEEDINFO. We need much clearer instructions. We can't reproduce based on "sometimes" and "multiple documents" on "multiple displays"

Please provide clear easy to follow reproducible steps and then mark the bug as UNCONFIRMED. Apologies for the long delay
Comment 2 Dennis Van Dusen 2015-03-08 22:53:59 UTC
In Writer, if multiple windows are open on a document with a table, when a change is made on a row in one window, the other window will scroll to that same row, which defeats the user's need to see two places in the document on a consistent basis for cross-checking and editing the (large) table.

Test - open a document containing a long table (>10 pages)
Open a second window for that same doc,
Scroll one window down to page 7 or later
make a change in the window (first) near the beginning of the document.
Result (improper): Second window scrolls to 1st page where edit was made in first window

Result expected:  Second window does not scroll to edit but rather displays same page (and row) as it did before edit was made (even if multiple rows were added or deleted on other page of same document)
Comment 3 Joel Madero 2015-03-17 04:23:43 UTC
We need a sample document that is >10 pages....can't ask that QA reproduce a 10 page document. Once you do so - please set the bug as UNCONFIRMED else it will be closed as INVALID. Thanks
Comment 4 QA Administrators 2015-10-14 19:51:02 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-10-14
Comment 5 QA Administrators 2016-05-09 20:08:45 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

This INVALID Message was generated on: 2016-05-09